Subject: Re: [PATCH] Pass amend to pre-commit hook

From: Alan Clucas <[email-masked]>
Date: Mon, 14 Sep 2015 17:49:17 +0100

On 14/09/15 15:47, Jeff King wrote:
> On Mon, Sep 14, 2015 at 01:14:20PM +0100, Alan Clucas wrote:
>
>> Pass a single parameter 'amend' to the pre-commit hook when performing a
>> commit amend.
>
> I think this is a sensible thing to want, and it has come up a few
> times. I'm not sure why the last round didn't get merged, though. Looks
> like it just slipped through the cracks.
>
> Here are the relevant threads:
>
>    http://thread.gmane.org/gmane.comp.version-control.git/260122
>
>    http://thread.gmane.org/gmane.comp.version-control.git/260245
>
> Looks like there was some question of what to pass in the normal,
> non-amend case. I've added interested parties from the original thread
> to the cc here.
>
> -Peff
>

Ah thanks. My google-fu didn't find any of those threads, I should have 
tried specifically searching the archives I guess.

Maybe with a little cajoling we could get some version of this passed. 
The issue that came up before was my worry, I didn't like defining the 
interface that way in case it needed extending... (but other hooks also 
have bad interfaces, so wasn't sure what precedent to follow).

Alan